# Установка

::: danger Предупреждение о предыдущих версиях
Имя пакета изменилось с `vue-cli` на `@vue/cli`.
Если у вас установлена глобально предыдущая версия пакета `vue-cli` (1.x или 2.x), то необходимо сначала удалить её командой `npm uninstall vue-cli -g` или `yarn global remove vue-cli`.
:::

::: tip Требования к версии Node
Vue CLI требуется [Node.js](https://nodejs.org/) версии 8.9 или выше (рекомендуется 8.11.0+). Управлять несколькими версиями Node на машине можно с помощью [nvm](https://github.com/creationix/nvm) или [nvm-windows](https://github.com/coreybutler/nvm-windows).
:::

Для установки нового пакета используйте одну из следующих команд. Для их выполнения потребуются права администратора, если только npm не был установлен в системе через менеджер версий Node.js (например, n или nvm).

```bash
npm install -g @vue/cli
# ИЛИ
yarn global add @vue/cli
```

После установки у вас появится доступ к `vue` в командной строке. Проверить корректность установки можно просто выполнив команду `vue`, которая отобразит справочное сообщение со списком всех доступных команд.

Вы можете проверить какая версия установлена командой:

```bash
vue --version
```

### Обновление

Для обновления глобального пакета Vue CLI выполните команду:

``` bash
npm update -g @vue/cli
# ИЛИ
yarn global upgrade --latest @vue/cli
```

#### Зависимости проекта

Команды обновления, показанные выше, только для глобально установленного пакета Vue CLI. Для обновления одного или нескольких пакетов, связанных с `@vue/cli` (включая пакеты, начинающиеся с `@vue/cli-plugin-`) внутри проекта, запустите `vue upgrade` в каталоге проекта:

```
Использование: upgrade [options] [plugin-name]
(экспериментально) upgrade vue cli service / plugins
Опции:
  -t, --to <version>    Обновить <package-name> до определённой версии
  -f, --from <version>  Пропустить проверку установленного плагина, предполагая что он будет обновляться с указанной версии
  -r, --registry <url>  Использовать указанный npm-регистр при установке зависимостей
  --all                 Обновить все плагины
  --next                Также проверять на наличие alpha / beta / rc версий при обновлении
  -h, --help            Вывести информацию об использовании команды
```
